Bug 626773 - Initscript is placed in wrong directory
Initscript is placed in wrong directory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openwsman (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Vitezslav Crhonek
Martin Cermak
:
Depends On:
Blocks: 633349
  Show dependency treegraph
 
Reported: 2010-08-24 07:42 EDT by Yulia Kopkova
Modified: 2011-05-19 09:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: openwsman-2.2.3-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yulia Kopkova 2010-08-24 07:42:49 EDT
Description of problem:

According to "Fedora SysV Initscripts [1]" document, initscripts should be
placed in /etc/rc.d/init.d directory. But openwsman-server initscript resides in
/etc/init.d directory.

Version-Release number of selected component (if applicable):

openwsman-server-2.2.3-6.el6

How reproducible:

Always.

Steps to Reproduce:
1. yum install openwsman-server
2. rpm -q --filesbypkg openwsman-server | grep init.d

Actual results:

# rpm -q --filesbypkg openwsman-server | grep init.d
openwsman-server          /etc/init.d/openwsmand

Expected results:

# rpm -q --filesbypkg openwsman-server | grep init.d
openwsman-server          /etc/rc.d/init.d/openwsmand

Additional info:

[1]
https://fedoraproject.org/wiki/Packaging/SysVInitScript#Initscripts_on_the_filesystem
Comment 6 Martin Cermak 2011-03-15 05:27:35 EDT
Verified manually on stable systems. See testing results [1] for details. 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=613031#c12
Comment 7 errata-xmlrpc 2011-05-19 09:04:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0563.html

Note You need to log in before you can comment on or make changes to this bug.